> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a global Tag Field

> Update a global tag field for all businesses.

**Scopes:** `tag:update`



## OpenAPI

````yaml /api-reference/openapi.json patch /v0/tenant/tag-fields/{tag_field_id}
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/tenant/tag-fields/{tag_field_id}:
    patch:
      tags:
        - Tenant
      summary: Update a global Tag Field
      description: |-
        Update a global tag field for all businesses.

        **Scopes:** `tag:update`
      operationId: update_tag_field_v0_tenant_tag_fields__tag_field_id__patch
      parameters:
        - name: tag_field_id
          in: path
          required: true
          schema:
            description: The id of the tag field
            examples:
              - tf_WQMDNUHpBThYSNh4AprDBo
            type: string
            format: tf_string
            title: Tag Field Id
          description: The id of the tag field
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTagFieldRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagFieldSuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - tag:update
components:
  schemas:
    UpdateTagFieldRequest:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Name
          description: The new name of the tag field
          examples:
            - Job
      type: object
      title: UpdateTagFieldRequest
    TagFieldSuccess:
      properties:
        data:
          $ref: '#/components/schemas/TagFieldPublic'
      type: object
      required:
        - data
      title: TagFieldSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    TagFieldPublic:
      properties:
        id:
          type: string
          format: tf_string
          title: Id
          description: The ID of the tag field
          examples:
            - tf_KtY7p9fsM4pB58SYNar7cu
        name:
          type: string
          title: Name
          description: The name of the tag field
          examples:
            - Job
      type: object
      required:
        - id
        - name
      title: TagFieldPublic
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````